<?php 
	
 //datos del arhivo
 $uploaddir = '../imagenes/'. $_POST['grupo'].'/';
 $uploadfile = $uploaddir . basename($_FILES['archivo']['name']);
 //echo $uploadfile . "<br><br>"; 
 $nombre_archivo = $_FILES['archivo']['name']; 
 $tipo_archivo = $_FILES['archivo']['type']; 
 $tamano_archivo = $_FILES['archivo']['size']; 
 //compruebo si las características del archivo son las que deseo 
 if (!((strpos($tipo_archivo, "png") || strpos($tipo_archivo, "jpeg")) && ($tamano_archivo < 600000))) { 
     echo "La extension o el tamano de los archivos no es correcta. <br><br><table><tr><td><li>Se permiten archivos .png o .jpg<br><li>se permiten archivos de 600 Kb máximo.</td></tr></table>"; 
 }else{ 
     if (move_uploaded_file($_FILES['archivo']['tmp_name'], $uploadfile)){ 
        	$urlReferer = $_SERVER['HTTP_REFERER'];
			header("Location: " . $urlReferer);
			exit();
     }else{ 
        echo "Ocurrió algún error al subir el fichero. No pudo guardarse."; 
     } 
 } 
 ?> 